## e-attachment-popover e-attachment-popover |

## Functions

GtkWidget * | e_attachment_popover_new ()
EAttachment * | e_attachment_popover_get_attachment ()
void | e_attachment_popover_set_attachment ()
gboolean | e_attachment_popover_get_changes_saved ()
void | e_attachment_popover_set_changes_saved ()
gboolean | e_attachment_popover_get_allow_disposition ()
void | e_attachment_popover_set_allow_disposition ()
void | e_attachment_popover_popup ()

## Types and Values

#define | E_TYPE_ATTACHMENT_POPOVER
| EAttachmentPopover

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkPopover
                            ╰── EAttachmentPopover

## Implemented Interfaces

EAttachmentPopover implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### e_attachment_popover_new ()

    GtkWidget *
    e_attachment_popover_new (GtkWidget *relative_to,
                              EAttachment *attachment);

### e_attachment_popover_get_attachment ()

    EAttachment *
    e_attachment_popover_get_attachment (EAttachmentPopover *self);

### e_attachment_popover_set_attachment ()

    void
    e_attachment_popover_set_attachment (EAttachmentPopover *self,
                                         EAttachment *attachment);

### e_attachment_popover_get_changes_saved ()

    gboolean
    e_attachment_popover_get_changes_saved
                                   (EAttachmentPopover *self);

### e_attachment_popover_set_changes_saved ()

    void
    e_attachment_popover_set_changes_saved
                                   (EAttachmentPopover *self,
                                    gboolean changes_saved);

### e_attachment_popover_get_allow_disposition ()

    gboolean
    e_attachment_popover_get_allow_disposition
                                   (EAttachmentPopover *self);

### e_attachment_popover_set_allow_disposition ()

    void
    e_attachment_popover_set_allow_disposition
                                   (EAttachmentPopover *self,
                                    gboolean allow_disposition);

### e_attachment_popover_popup ()

    void
    e_attachment_popover_popup (EAttachmentPopover *self);

## Types and Values

### E_TYPE_ATTACHMENT_POPOVER

    #define E_TYPE_ATTACHMENT_POPOVER (e_attachment_popover_get_type ())

### EAttachmentPopover

    typedef struct _EAttachmentPopover EAttachmentPopover;